QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QXmppIq Class Reference
Stanzas

The QXmppIq class is the base class for all IQs. More...

`#include <QXmppIq.h>`

Inheritance diagram for QXmppIq:

List of all members.

## Public Types
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...
## Public Member Functions
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)

## Detailed Description

The QXmppIq class is the base class for all IQs.

## Member Enumeration Documentation

enum QXmppIq::Type

This enum describes the type of IQ.

Enumerator:

  Error | Error response.
  Get | Get request.
  Set | Set request.
  Result | Result.

## Constructor & Destructor Documentation

QXmppIq::QXmppIq | ( | QXmppIq::Type | type = `QXmppIq::Get` | ) |

Constructs a QXmppIq with the specified type.

Parameters:

  type |

## Member Function Documentation

void QXmppIq::setType | ( | QXmppIq::Type | type | ) |

Sets the IQ's type.

Parameters:

  type |

QXmppIq::Type QXmppIq::type | ( |  | ) | const

Returns the IQ's type.

The documentation for this class was generated from the following files:

- QXmppIq.h
- QXmppIq.cpp

All Classes Functions Enumerations Enumerator Properties